clang 10.0.0git

Classes | Functions
clang::ento::retaincountchecker Namespace Reference

## Classes
class | RefCountBug
class | RefCountReport
class | RefLeakReport
class | RefVal
| Metadata on reference. More...
class | RetainCountChecker

## Functions
const RefVal * | getRefBinding (ProgramStateRef State, SymbolRef Sym)
bool | isSynthesizedAccessor (const StackFrameContext *SFC)
| Returns true if this stack frame is for an Objective-C method that is a property getter or setter whose body has been synthesized by the analyzer. More...

## Function Documentation

## ◆ getRefBinding()

const RefVal * clang::ento::retaincountchecker::getRefBinding | ( | ProgramStateRef | State,
|  | SymbolRef | Sym
| ) |  |

Definition at line 28 of file RetainCountChecker.cpp.

Referenced by clang::ento::retaincountchecker::RetainCountChecker::checkDeadSymbols(), clang::ento::retaincountchecker::RetainCountChecker::checkPostCall(), clang::ento::retaincountchecker::RetainCountChecker::checkPostStmt(), clang::ento::retaincountchecker::RetainCountChecker::checkSummary(), clang::ento::retaincountchecker::RetainCountChecker::getCastFailTag(), clang::ento::retaincountchecker::RetainCountChecker::processNonLeakError(), clang::ento::retaincountchecker::RetainCountChecker::processObjCLiterals(), and clang::ento::retaincountchecker::RetainCountChecker::processSummaryOfInlined().

## ◆ isSynthesizedAccessor()

bool clang::ento::retaincountchecker::isSynthesizedAccessor | ( | const StackFrameContext * | SFC | ) |
| inline

Returns true if this stack frame is for an Objective-C method that is a property getter or setter whose body has been synthesized by the analyzer.

Definition at line 386 of file RetainCountChecker.h.

References clang::LocationContext::getAnalysisDeclContext(), clang::LocationContext::getDecl(), and clang::AnalysisDeclContext::isBodyAutosynthesized().

Referenced by clang::ento::retaincountchecker::RetainCountChecker::checkPostStmt().